package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 产品库存对象 company_product_stock
 *
 * @author fs
 * @date 2025-07-01
 */
public class CompanyProductStock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 产品ID */
    @Excel(name = "产品ID")
    private Long productId;

    /** 入库ID */
    @Excel(name = "入库ID")
    private Long instockId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 库存 */
    @Excel(name = "库存")
    private Long stock;

    /** SKU码 */
    @Excel(name = "SKU码")
    private String sku;

    /** 产品序列号 */
    @Excel(name = "产品序列号")
    private String productNo;

    /** 仓库编码 */
    @Excel(name = "仓库编码")
    private String storeCode;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "入库时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date enterTime;

    /** 有效期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date limitTime;

    /** 库龄(月) */
    @Excel(name = "库龄(月)")
    private Long storeAge;

    /** 成本价 */
    @Excel(name = "成本价")
    private BigDecimal costPrice;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date cretaeTime;

    /** 创建者 */
    @Excel(name = "创建者")
    private Long createUserId;

    /** 更新者 */
    @Excel(name = "更新者")
    private Long updateUserId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** 库存状态 */
    @Excel(name = "库存状态")
    private Integer status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setProductId(Long productId)
    {
        this.productId = productId;
    }

    public Long getProductId()
    {
        return productId;
    }
    public void setInstockId(Long instockId)
    {
        this.instockId = instockId;
    }

    public Long getInstockId()
    {
        return instockId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setStock(Long stock)
    {
        this.stock = stock;
    }

    public Long getStock()
    {
        return stock;
    }
    public void setSku(String sku)
    {
        this.sku = sku;
    }

    public String getSku()
    {
        return sku;
    }
    public void setProductNo(String productNo)
    {
        this.productNo = productNo;
    }

    public String getProductNo()
    {
        return productNo;
    }
    public void setStoreCode(String storeCode)
    {
        this.storeCode = storeCode;
    }

    public String getStoreCode()
    {
        return storeCode;
    }
    public void setEnterTime(Date enterTime)
    {
        this.enterTime = enterTime;
    }

    public Date getEnterTime()
    {
        return enterTime;
    }
    public void setLimitTime(Date limitTime)
    {
        this.limitTime = limitTime;
    }

    public Date getLimitTime()
    {
        return limitTime;
    }
    public void setStoreAge(Long storeAge)
    {
        this.storeAge = storeAge;
    }

    public Long getStoreAge()
    {
        return storeAge;
    }
    public void setCostPrice(BigDecimal costPrice)
    {
        this.costPrice = costPrice;
    }

    public BigDecimal getCostPrice()
    {
        return costPrice;
    }
    public void setCretaeTime(Date cretaeTime)
    {
        this.cretaeTime = cretaeTime;
    }

    public Date getCretaeTime()
    {
        return cretaeTime;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("instockId", getInstockId())
            .append("companyId", getCompanyId())
            .append("stock", getStock())
            .append("sku", getSku())
            .append("productNo", getProductNo())
            .append("storeCode", getStoreCode())
            .append("enterTime", getEnterTime())
            .append("limitTime", getLimitTime())
            .append("storeAge", getStoreAge())
            .append("costPrice", getCostPrice())
            .append("cretaeTime", getCretaeTime())
            .append("updateTime", getUpdateTime())
            .append("createUserId", getCreateUserId())
            .append("updateUserId", getUpdateUserId())
            .append("isDel", getIsDel())
            .append("status", getStatus())
            .toString();
    }
}
